[@rxap/config](../wiki/globals) / ConfigTestingService

# Class: ConfigTestingService

Defined in: [config-testing-service.ts:9](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/config-testing-service.ts#L9)

## Implements

- [`ConfigService`](../wiki/Class.ConfigService)

## Constructors

### new ConfigTestingService()

> **new ConfigTestingService**(): [`ConfigTestingService`](../wiki/Class.ConfigTestingService)

#### Returns

[`ConfigTestingService`](../wiki/Class.ConfigTestingService)

## Properties

### config

> `readonly` **config**: `Record`\<`string`, `any`\> = `{}`

Defined in: [config-testing-service.ts:10](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/config-testing-service.ts#L10)

#### Implementation of

[`ConfigService`](../wiki/Class.ConfigService).[`config`](../wiki/Class.ConfigService#config-1)

## Methods

### clearLocalConfig()

> **clearLocalConfig**(): `void`

Defined in: [config-testing-service.ts:13](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/config-testing-service.ts#L13)

#### Returns

`void`

#### Implementation of

[`ConfigService`](../wiki/Class.ConfigService).[`clearLocalConfig`](../wiki/Class.ConfigService#clearlocalconfig)

***

### get()

> **get**\<`T`\>(`propertyPath`, `defaultValue`?): `undefined` \| `T`

Defined in: [config-testing-service.ts:20](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/config-testing-service.ts#L20)

#### Type Parameters

• **T**

#### Parameters

##### propertyPath

`string`

##### defaultValue?

`T`

#### Returns

`undefined` \| `T`

#### Implementation of

[`ConfigService`](../wiki/Class.ConfigService).[`get`](../wiki/Class.ConfigService#get)

***

### getOrThrow()

> **getOrThrow**\<`T`\>(`propertyPath`): `T`

Defined in: [config-testing-service.ts:24](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/config-testing-service.ts#L24)

#### Type Parameters

• **T**

#### Parameters

##### propertyPath

`string`

#### Returns

`T`

#### Implementation of

[`ConfigService`](../wiki/Class.ConfigService).[`getOrThrow`](../wiki/Class.ConfigService#getorthrow)

***

### set()

> **set**\<`T`\>(`propertyPath`, `value`): `void`

Defined in: [config-testing-service.ts:16](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/config-testing-service.ts#L16)

#### Type Parameters

• **T**

#### Parameters

##### propertyPath

`string`

##### value

`T`

#### Returns

`void`

***

### setLocalConfig()

> **setLocalConfig**(`config`): `void`

Defined in: [config-testing-service.ts:33](https://gitlab.com/rxap/packages/-/blob/15b5fab8912b1042ea325e7f4d98844416018df1/packages/angular/config/src/lib/config-testing-service.ts#L33)

#### Parameters

##### config

`Record`\<`string`, `any`\>

#### Returns

`void`

#### Implementation of

[`ConfigService`](../wiki/Class.ConfigService).[`setLocalConfig`](../wiki/Class.ConfigService#setlocalconfig)
